
<div class="page">
    <p class="title">
      Product
    </p>
    <kendo-grid [kendoGridBinding]="products" kendoGridSelectBy="id" [(selectedKeys)]="mySelection" [pageSize]="10"
      [pageable]="true" [sortable]="true" [groupable]="false" [reorderable]="true" [resizable]="true"
      [columnMenu]="{ filter: true }" (edit)="editForm($event)">
      <ng-template kendoGridToolbarTemplate>
        <input [style.width.px]="200" placeholder="Search products in all columns..." kendoTextBox
          (input)="onFilter($event)" />
        <kendo-grid-spacer></kendo-grid-spacer>
        <button mat-raised-button color="primary" (click)="showForm()">
          <span class="k-icon k-i-plus-outline"></span>
          Add New Product
        </button>
      </ng-template>
      <kendo-grid-column field="name" title="Name" [width]="220">
        <ng-template kendoGridCellTemplate let-dataItem>
          <div class="product-name">{{ dataItem.name }}</div>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="brandName" title="Brand Name" [width]="220">
      </kendo-grid-column>
      <kendo-grid-column field="price" title="Price" [width]="100" [resizable]="false">
      </kendo-grid-column>
      <kendo-grid-column field="description" title="Description" [width]="100" [resizable]="false">
      </kendo-grid-column>
      <kendo-grid-column title="Actions"  [width]="100" [resizable]="false">
        <ng-template kendoGridCellTemplate>
          <button kendoGridEditCommand >Edit</button>
          <!-- more command buttons here -->
      </ng-template>
      </kendo-grid-column> 
    </kendo-grid>
  </div>